Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155084 - Build bug on x86_64, patch included
Summary: Build bug on x86_64, patch included
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-Convert-ASN1
Version: 4.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 01:47 UTC by John Morris
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-03 16:34:49 UTC


Attachments (Terms of Use)

Description John Morris 2005-04-16 01:47:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.4) Gecko/20050323 White Box/1.4.4-1.3.5.WB1

Description of problem:
Doesn't build on x86_64.

Version-Release number of selected component (if applicable):
perl-Convert-ASN1-0.18.3

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild 
2. watch it go boom looking for /var/tmp/perl-Convert-ASN1-0.18-3-root/usr/share/man/man3/Convert::ASN1.3pm

Hint: it should be 3pm.gz.
  

Additional info:

Patched the .spec at line 34 thusly:

# Fixed to build on x86_64
#[ -x %{_libdir}/rpm/brp-compress ] && %{_libdir}/rpm/brp-compress
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

Comment 1 Florian La Roche 2005-11-03 16:34:49 UTC
brp-compress should be called automatically, so these lines could be
removed completely. The newest .spec files have this cleaned up and
this will be fixed in the next RHEL release. I don't think we'll push an
errata package into an update release for this.

Thanks a lot for the bug-report and fix,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.